## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.4
%global pypi_name boutdata

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %autorelease
Summary:        Python package for collecting BOUT++ data

License:        LGPLv3+
URL:            http://boutproject.github.io
Source0:        %pypi_source
BuildArch:      noarch

Patch:          0001-pytest-no-cov.patch
Patch:          https://github.com/boutproject/boutdata/commit/2c4500ed56199a55e098d84c399c5a6b3f27544e.patch#./0002-no-gc-collect.patch
Patch:          natsort-version.patch
Patch:          fix-script-dir.patch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# From setup_requires in setup.py:
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm[toml]) >= 3.4
# For tests:
BuildRequires:  python3dist(pytest)

%description
Python interface for reading bout++ data files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Python interface for reading bout++ data files.

%generate_buildrequires
%pyproject_buildrequires -r


%prep
%autosetup -n %{pypi_name}-%{version} -p 1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
# Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=1997717
export HDF5_USE_FILE_LOCKING=FALSE
# Smoke test for squash
PYTHONPATH=${RPM_BUILD_ROOT}/${PYTHON3_SITELIB}:${PYTHONPATH} ${RPM_BUILD_ROOT}/%{_bindir}/bout-squashoutput --help
# run unit tests
%pytest


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/bout-squashoutput


%changelog
## START: Generated by rpmautospec
* Sun Mar 31 2024 David Bold <davidsch@fedoraproject.org> - 0.2.1-4
- Ensure all subfolders are packaged.

* Mon Mar 25 2024 David Bold <dave@ipp.mpg.de> - 0.2.1-3
- Remove unused dependency

* Sat Mar 23 2024 David Bold <davidsch@fedoraproject.org> - 0.2.1-2
- Remove strict natsort version

* Thu Feb 01 2024 David Bold <davidsch@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Mon Jan 29 2024 David Bold <dave@ipp.mpg.de> - 0.1.10-7
- Fix FTBFS

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Python Maint <python-maint@redhat.com> - 0.1.10-3
- Rebuilt for Python 3.12

* Mon Mar 27 2023 David Bold <davidsch@fedoraproject.org> - 0.1.10-2
- Add patch to set yindex correctly

* Thu Mar 23 2023 David Bold <davidsch@fedoraproject.org> - 0.1.10-1
- Update to 0.1.10

* Thu Mar 23 2023 David Bold <dave@ipp.mpg.de> - 0.1.9-3
- Switch to autorelease

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 13 2022 David Bold <davidsch@fedoraproject.org> - 0.1.9-1
- update to 0.1.9

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 0.1.8-2
- Rebuilt for Python 3.11

* Sat Apr 02 2022 David <davidsch@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Sun Feb 27 2022 David <davidsch@fedoraproject.org> - 0.1.6-3
- Use fix provided by upstream

* Sun Feb 27 2022 David <davidsch@fedoraproject.org> - 0.1.6-2
- Revert commit that breaks BOUT++

* Thu Jan 27 2022 David <davidsch@fedoraproject.org> - 0.1.6-1
- Update to 0.1.6

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 23 2021 David <davidsch@fedoraproject.org> - 0.1.5-2
- Workaround hdf5 issue

* Mon Aug 23 2021 David <davidsch@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 2021 David <davidsch@fedoraproject.org> - 0.1.3-1
- Apply suggestions from review

* Sat Jan 09 2021 David <davidsch@fedoraproject.org> - 0.1.3-0.1
- Update to 0.1.3

* Wed Dec 30 2020 David <davidsch@fedoraproject.org> - 0.1.2-0.2
- Include patches.

* Fri Sep 18 2020 David <davidsch@fedoraproject.org> - 0.1.2-0.1
- Initial package.

## END: Generated by rpmautospec
